import request from '@/utils/request'

export function getCulturalRelicList(data) {
  return request({
    url: '/bizCulturalRelic/listByPage',
    method: 'post',
    data
  })
}
export function addCulturalRelic(data) {
  return request({
    url: '/bizCulturalRelic/add',
    method: 'post',
    data
  })
}

export function editCulturalRelic(data) {
  return request({
    url: '/bizCulturalRelic/update',
    method: 'put',
    data
  })
}

// 根据文物id查询详情
export function getRCDetailById(params) {
  return request({
    url: '/bizCulturalRelic/listById',
    method: 'get',
    params
  })
}

export function deleteCultralRelic(data) {
  return request({
    url: '/bizCulturalRelic/delete',
    method: 'delete',
    data
  })
}

// 获取文物数量统计
export function getCulturalRelicStatistic(params) {
  return request({
    url: '/bizStatistic/getCulturalRelicStatistic',
    method: 'get',
    params
  })
}

